<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.wecloud.im.mapper.ImConversationMembersMapper">

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id
        , create_time, update_time, fk_appid, fk_conversation_id, fk_client_id
    </sql>

    <select id="getImConversationMembersById" resultType="com.wecloud.im.param.ImConversationMembersQueryVo">
        select
        <include refid="Base_Column_List"/>
        from im_conversation_members where id = #{id}
    </select>

    <select id="getImConversationMembersPageList" parameterType="com.wecloud.im.param.ImConversationMembersPageParam"
            resultType="com.wecloud.im.param.ImConversationMembersQueryVo">
        select
        <include refid="Base_Column_List"/>
        from im_conversation_members
    </select>

</mapper>
